Subject: Re: bug#53355: guix shell --check: confusing error message

From: Maxime Devos <[email-masked]>
Date: Sun, 26 Jun 2022 15:07:11 +0200

Josselin Poiret schreef op zo 26-06-2022 om 12:33 [+0200]:
> Just my 2¢, from my experience, Guile uses a lot of fds (`guile -q` uses
> 15).  I'm not sure it would be safe or advisable to move fds, since we
> cannot be sure that they're backing ports or not, and if they're not it
> would break things

As mentioned previously, move->fdes looks in the port table to see if
the file descriptor things are being moved too is still in use, and if
so, moves that (fd, port) out of the way first, so should be safe.

That only works if Guile knows about the fd though, and Guile currently
does not know about it's own finalisation pipe, which I think is the
cause of <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48563>, so
currently still fragile ...

(To be clear, I still recommend just fixing dash ...)